POSTSync Nft Metadata

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/nft/syncNftMetadata

Synchronizes metadata for specific NFTs. Up to 100 NFTs can be synchronized, and synchronization may take up to 10 seconds.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
contractAddressstringrequired

Parameter specifying the contract address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

tokenIdstringrequired

Parameter specifying the NFT token ID to query. Can be entered as a decimal string.

Responses
messagestring

Returns the result message for the synchronization request.

예: NFT Metadata synchronization request has been successfully submitted.

X-API-KEY
RequestCU80
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/nft/syncNftMetadata" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "tokens": [
    {
      "contractAddress": "0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D",
      "tokenId": "1"
    },
    {
      "contractAddress": "0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D",
      "tokenId": "2"
    }
  ]
}'
Response
Example · 200
{
  "message": "NFT Metadata synchronization request has been successfully submitted."
}